> ## Name

> cgGLSetTextureParameter - sets the value of a texture parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetTextureParameter( CGparameter param,
>                                   GLuint texobj );

> ## Parameters

> param
>   The texture parameter that will be set.
> texobj
>   An OpenGL texture object name to which the parameter will be set.

> ## Return Values

> None.

> ## Description

> cgGLSetTextureParameter sets the value of a texture parameter to an OpenGL texture object.

> Note that in order to use the texture, either cgGLEnableTextureParameter must be called after cgGLSetTextureParameter and before the geometry is drawn, or cgGLSetManageTextureParameters must be called with a value of CG_TRUE.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is not a texture parameter or if the parameter fails to set for any other reason.

> ## History

> cgGLSetTextureParameter was introduced in Cg 1.1.

> ## See Also

> cgGLGetTextureParameter, cgGLSetParameter